import { html as l } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, n = (p, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, a = p.length - 1, i; a >= 0; a--)
    (i = p[a]) && (e = (t ? i(r, s, e) : i(e)) || e);
  return t && e && m(r, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--infoMarkerLarge", this.class = "c-pieIcon c-pieIcon--infoMarkerLarge", this.name = "IconInfoMarkerLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--infoMarkerLarge"><path d="M24.75 3.024H7.25a2.625 2.625 0 0 0-2.625 2.625v15.75a2.625 2.625 0 0 0 2.625 2.625h3.439L16 29.335l5.311-5.311h3.439a2.625 2.625 0 0 0 2.625-2.625V5.649a2.625 2.625 0 0 0-2.625-2.625m.875 18.375a.875.875 0 0 1-.875.875h-4.165L16 26.859l-4.585-4.585H7.25a.875.875 0 0 1-.875-.875V5.649a.875.875 0 0 1 .875-.875h17.5a.875.875 0 0 1 .875.875zm-10.5-9.774h1.75V19.5h-1.75zm2.188-3.063a1.313 1.313 0 1 1-2.626 0 1.313 1.313 0 0 1 2.626 0"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  h("icon-info-marker-large")
], o);
export {
  o as IconInfoMarkerLarge
};
